# $Revision: 1.18 $, $Date: 2005/02/07 21:02:59 $
Summary:	A console program to nicely view squid's log
Summary(pl):	Konsolowy program pozwalajcy oglda logi squida
Name:		squidview
Version:	0.69
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.rillion.net/squidview/%{name}-%{version}.tar.gz
# Source0-md5:	b9691075e44f7ae5f6ca7ebcc36e8327
Patch0:		%{name}-pld.patch
Patch1:		%{name}-curses,howto-dest.patch
URL:		http://www.rillion.net/squidview/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Squidview is an interactive console program which monitors squid logs
and displays them in a nice fashion. It has searching and reporting
functions, giving information like per user bandwidth and cache hits.

%description -l pl
Squidview jest interaktywnym konsolowym programem, ktry monitoruje
logi squida i wywietla je w przyjemny sposb. Ma funkcje szukania i
raportowania, dajc informacje takie jak przepustowo na uytkownika
i trafienia cache-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	CXXFLAGS="-I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX="%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog HOWTO README users words aliases
%attr(754,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squidview.spec,v $
Revision 1.18  2005/02/07 21:02:59  matowy
- up to 0.69

Revision 1.17  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.16  2003/12/18 23:14:55  undefine
- update to 0.63

Revision 1.15  2003/12/12 11:09:30  andree
- updated to 0.61

Revision 1.14  2003/11/29 00:20:58  qboosh
- grrr, BR: ac,am; cosmetics

Revision 1.13  2003/11/28 23:39:55  andree
- added 'outdated' patch0 - updated
- added patch1 - wrong dest to howto.gz,ncurses.h
- added commands to %build
- updated doc
- updated to 0.60

Revision 1.12  2003/09/22 23:12:16  undefine
- BR: libstdc++-devel

Revision 1.11  2003/09/22 23:03:08  undefine
- update to 0.51

Revision 1.10  2003/09/20 07:49:14  misi3k
- updated to 0.5

Revision 1.9  2003/05/28 13:02:02  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/03/01 15:04:40  djrzulf
- updated to 0.36

Revision 1.6  2003/01/24 15:55:45  pbern
- delete outdated patch

Revision 1.5  2003/01/17 13:15:12  pbern
- update to 0.35

Revision 1.4  2002/11/03 19:05:25  adasi
 - more fixes in new patch
 - Now it's REALLY STBR

Revision 1.3  2002/11/03 18:56:07  adasi
 - Fixed log location.
 - relup, STBR

Revision 1.2  2002/08/18 20:42:12  lukasz
- up to 0.30
- removed makefile.patch

Revision 1.1  2002/07/31 15:44:32  blues
- initial release
